org.apache.hc.core5.http.impl.bootstrap

## Enum StandardFilter

- java.lang.Object
- - java.lang.Enum<StandardFilter>
  - - org.apache.hc.core5.http.impl.bootstrap.StandardFilter

- All Implemented Interfaces:
    Serializable, Comparable<StandardFilter>

      public enum StandardFilter
      extends Enum<StandardFilter>

  Filters supported by async and classic server implementations
  See Also:
    `AsyncServerBootstrap`, `ServerBootstrap`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPECT_CONTINUE`
    `MAIN_HANDLER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StandardFilter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StandardFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXPECT_CONTINUE

          public static final StandardFilter EXPECT_CONTINUE

    - #### MAIN_HANDLER

          public static final StandardFilter MAIN_HANDLER

  - ### Method Detail

    - #### values

          public static StandardFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StandardFilter c : StandardFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StandardFilter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.